@ECHO OFF
REM
REM (c) 1999-2004 Oracle Corp. all rights reserved
REM

REM Test whether JAVA_HOME is defined
if "%JAVA_HOME%" == "" goto java_home_error

REM Test whether IAS_HOME is defined
if "%IAS_HOME%" == "" goto ias_home_error

set PROXY_LOG_DIR=%IAS_HOME%\wireless\logs
set PROXY_MODE=standalone

ECHO By default the WDK HTTP listener listens on port 9010
ECHO The WDK URL is: http://hostname:9010/wdk/mcslite
ECHO To change the port number please edit
ECHO %IAS_HOME%\j2ee\OC4J_Wireless\config\wdk-web-site.xml
ECHO file and modify the value of the port attribute.

"%JAVA_HOME%\bin\java.exe" -server -Xms128M -Xmx512M -DPROXY_LOG_DIR=%PROXY_LOG_DIR% -DPROXY_MODE=%PROXY_MODE% -jar .\j2ee\home\oc4j.jar -config .\j2ee\OC4J_Wireless\config\wdk-server.xml -userThreads
goto end

:java_home_error
ECHO
ECHO ERROR!!! You MUST define JAVA_HOME to run this script
ECHO EXAMPLE: set JAVA_HOME=C:\j2sdk1.4.2_06
ECHO
goto end

:ias_home_error
ECHO
ECHO ERROR!!! You MUST define IAS_HOME to run this script
ECHO EXAMPLE: set IAS_HOME=C:\wdk
ECHO
goto end

:end
